# Store::Spec

Shared specs for different DataMapper implementations such as [Memory](https://github.com/janowiesniak/store-memory) or ActiveRecord (tbd) for [Store](https://github.com/holderbaum/store)

## Installation

Add this line to your application's Gemfile:

    gem 'store-spec'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install store-spec

## Usage

```
require 'store/spec'

describe Store::DataMapper::Memory do
  subject { Store::DataMapper::Memory.new }
  instance_eval &Store::Spec::Specs
end
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
